
package eu.dnetlib.dhp.schema.oaf;

import java.io.Serializable;
import java.util.List;

public class Dataset extends Result implements Serializable {

	private static final String DATASET_RESULTTYPE = "dataset";

	private String storagedate;

	// candidate for removal
	private String device;

	private String size;

	private String version;

	private String lastmetadataupdate;

	private String metadataversionnumber;

	private List<GeoLocation> geolocation;

	public Dataset() {
		setResulttype(DATASET_RESULTTYPE);
	}

	public String getStoragedate() {
		return storagedate;
	}

	public void setStoragedate(String storagedate) {
		this.storagedate = storagedate;
	}

	public String getDevice() {
		return device;
	}

	public void setDevice(String device) {
		this.device = device;
	}

	public String getSize() {
		return size;
	}

	public void setSize(String size) {
		this.size = size;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	public String getLastmetadataupdate() {
		return lastmetadataupdate;
	}

	public void setLastmetadataupdate(String lastmetadataupdate) {
		this.lastmetadataupdate = lastmetadataupdate;
	}

	public String getMetadataversionnumber() {
		return metadataversionnumber;
	}

	public void setMetadataversionnumber(String metadataversionnumber) {
		this.metadataversionnumber = metadataversionnumber;
	}

	public List<GeoLocation> getGeolocation() {
		return geolocation;
	}

	public void setGeolocation(List<GeoLocation> geolocation) {
		this.geolocation = geolocation;
	}
}
