
package eu.dnetlib.dhp.schema.oaf;

import java.io.Serializable;
import java.util.List;

public class Software extends Result implements Serializable {

	private static final String SOFTWARE_RESULTTYPE = "software";

	private List<String> documentationUrl;

	// candidate for removal
	private String codeRepositoryUrl;

	private Qualifier programmingLanguage;

	public Software() {
		setResulttype(SOFTWARE_RESULTTYPE);
	}

	public List<String> getDocumentationUrl() {
		return documentationUrl;
	}

	public void setDocumentationUrl(List<String> documentationUrl) {
		this.documentationUrl = documentationUrl;
	}

	public String getCodeRepositoryUrl() {
		return codeRepositoryUrl;
	}

	public void setCodeRepositoryUrl(String codeRepositoryUrl) {
		this.codeRepositoryUrl = codeRepositoryUrl;
	}

	public Qualifier getProgrammingLanguage() {
		return programmingLanguage;
	}

	public void setProgrammingLanguage(Qualifier programmingLanguage) {
		this.programmingLanguage = programmingLanguage;
	}
}
